Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 728994 - www-client/netsurf-3.10-r1: dropped keywords ~arm ~ppc ~ppc64
Summary: www-client/netsurf-3.10-r1: dropped keywords ~arm ~ppc ~ppc64
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Michael Orlitzky
URL:
Whiteboard:
Keywords:
Depends on: 728592
Blocks:
  Show dependency tree
 
Reported: 2020-06-21 12:20 UTC by Michael Orlitzky
Modified: 2020-07-15 14:16 UTC (History)
2 users (show)

See Also:
Package list:
www-client/netsurf-3.10-r2 arm ppc
Runtime testing required: ---
nattka: sanity-check+


Attachments
build.log (ppc64) (netsurf-3.10:20200627-144834.log,3.05 KB, text/plain)
2020-06-27 14:52 UTC, ernsteiswuerfel
no flags Details
build.log (ppc64) (netsurf-3.10:20200629-152002.log,862.66 KB, text/plain)
2020-06-29 16:14 UTC, ernsteiswuerfel
no flags Details
build.log.xz (ppc + tests) (netsurf-3.10-r1:20200629-213817.log.xz,18.54 KB, application/x-xz)
2020-06-29 22:10 UTC, ernsteiswuerfel
no flags Details
build.log.xz (ppc + tests) (netsurf-3.10-r1:20200705-134443.log.xz,33.84 KB, application/x-xz)
2020-07-05 14:10 UTC, ernsteiswuerfel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Orlitzky gentoo-dev 2020-06-21 12:20:29 UTC
To add a missing dependency on dev-lang/duktape (bug 728592), I had to drop these keywords in the latest version. If possible, please re-add them. Otherwise we'll have to mask USE=duktape.
Comment 1 NATTkA bot gentoo-dev 2020-06-21 12:24:31 UTC
Sanity check failed:

> www-client/netsurf-3.10
>   rdepend ~arm stable profile default/linux/arm/17.0 (20 total)
>     dev-lang/duktape
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (33 total)
>     dev-lang/duktape
Comment 2 Michael Orlitzky gentoo-dev 2020-06-27 12:15:11 UTC
This one's ready now, please check if it builds with USE="javascript duktape" against duktape-2.5.0.

It's OK if the test suite fails (it's flaky), but please let me know about any failures so that I can report them upstream.
Comment 3 ernsteiswuerfel 2020-06-27 14:52:26 UTC
Created attachment 646826 [details]
build.log (ppc64)

Tried building on ppc64 now, but got this error, despite having USE='gtk2' set.

>>> Compiling source in /var/tmp/portage/www-client/netsurf-3.10/work/netsurf-3.10 ...
make -j24 -l24 NSSHARED=/usr/share/netsurf-buildsystem LIBDIR=lib64 PREFIX=/usr Q= CC=powerpc64-unknown-linux-gnu-gcc LD=powerpc64-unknown-linux-gnu-ld HOST_CC=$(CC) BUILD_CC=powerpc64-unknown-linux-gnu-gcc CXX=powerpc64-unknown-linux-gnu-g++ BUILD_CXX=powerpc64-unknown-linux-gnu-g++ CCOPT= CCNOOPT= CCDBG= LDDBG= AR=powerpc64-unknown-linux-gnu-ar WARNFLAGS= COMPONENT_TYPE=binary NETSURF_USE_BMP=YES NETSURF_USE_GIF=YES NETSURF_USE_JPEG=YES NETSURF_USE_PNG=YES NETSURF_USE_NSPSL=YES NETSURF_USE_MNG=YES NETSURF_USE_WEBP=YES NETSURF_USE_MOZJS=NO NETSURF_USE_JS=NO NETSURF_USE_DUKTAPE=YES NETSURF_USE_NSSVG=YES NETSURF_USE_RSVG=NO NETSURF_USE_ROSPRITE=YES PKG_CONFIG=powerpc64-unknown-linux-gnu-pkg-config NETSURF_FB_FONTLIB=freetype NETSURF_FB_FONTPATH=/usr/share/fonts/dejavu NETSURF_USE_VIDEO=NO TARGET=gtk 
Makefile:116: *** Unknown TARGET "gtk", Must be one of riscos gtk2 gtk3 beos amiga amigaos3 framebuffer windows atari monkey.  Stop.
 * ERROR: www-client/netsurf-3.10::gentoo failed (compile phase):
 *   emake failed
Comment 4 Larry the Git Cow gentoo-dev 2020-06-29 01:26:47 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af319b8e81df5bcc69b02155d97e905197dc15e4

commit af319b8e81df5bcc69b02155d97e905197dc15e4
Author:     Michael Orlitzky <mjo@gentoo.org>
AuthorDate: 2020-06-29 01:15:49 +0000
Commit:     Michael Orlitzky <mjo@gentoo.org>
CommitDate: 2020-06-29 01:15:49 +0000

    www-client/netsurf: fix build with USE=gtk2.
    
    In the latest release, upstream switched around the names of the GTK
    targets to reflect that gtk3 is now default. This left the build
    broken with USE=gtk2, because (ALLEGEDLY) I never tested it. Sorry.
    Everything should be back to normal.
    
    Bug: https://bugs.gentoo.org/728994
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Michael Orlitzky <mjo@gentoo.org>

 www-client/netsurf/netsurf-3.10.ebuild | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)
Comment 5 Michael Orlitzky gentoo-dev 2020-06-29 01:29:10 UTC
Thanks for the extra QA. The ebuild needed a tweak to adjust to a recent upstream change. It should work now.

I've also set IUSE="+gtk" by default, to avoid prompting people to choose one of fbcon, gtk2, or gtk. The upstream default (and what most people want) is gtk, which means "gtk3."
Comment 6 ernsteiswuerfel 2020-06-29 16:14:22 UTC
Created attachment 647090 [details]
build.log (ppc64)

Now building starts but errors out after a while, complaining "utf8proc.h" is not found.

[...]
powerpc64-unknown-linux-gnu-gcc -W -Wall -Wundef -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-declarations -Wuninitialized -Wno-unused-parameter -Wno-unused-but-set-variable -Wimplicit-fallthrough=3 -Wredundant-decls -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -I. -Iinclude -Ibuild/Linux-gtk3 -Ifrontends -Icontent/handlers  -O2 -DWITH_JPEG -UWITH_PDF_EXPORT -DLIBICONV_PLUG   -I/usr/include/libxml2   -DWITH_CURL  -DWITH_OPENSSL -DUTF8PROC_EXPORTS -DWITH_UTF8PROC  -DWITH_WEBP -I/usr/include/libpng16 -DWITH_PNG  -DWITH_GIF -I/usr/include/libxml2 -DWITH_NS_SVG  -DWITH_NSPSL -DNETSURF_UA_FORMAT_STRING=\""NetSurf/%d.%d (%s)"\" -DNETSURF_HOMEPAGE=\""about:welcome"\" -DNETSURF_LOG_LEVEL=VERBOSE  -DNETSURF_BUILTIN_LOG_FILTER=\""(level:WARNING || cat:jserrors)"\" -DNETSURF_BUILTIN_VERBOSE_FILTER=\""(level:VERBOSE || cat:jserrors)"\" -DSTMTEXPR=1 -pthread -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/fribidi -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/uuid -I/usr/lib64/libffi/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -std=c99 -Dgtk -Dnsgtk -g -DG_DISABLE_SINGLE_INCLUDES -DG_DISABLE_DEPRECATED -DGTK_DISABLE_SINGLE_INCLUDES -DGTK_MULTIHEAD_SAFE -DPANGO_DISABLE_DEPRECATED -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=700 -D_POSIX_C_SOURCE=200809L -D_NETBSD_SOURCE -DGTK_RESPATH=\"/usr/share/netsurf/:./frontends/gtk/res/\" -DWITH_GRESOURCE -DDUK_OPT_HAVE_CUSTOM_H -O2 -mcpu=970 -pipe -MMD -MT 'build/Linux-gtk3/deps/utils_idna.d build/Linux-gtk3/utils_idna.o' -MF build/Linux-gtk3/deps/utils_idna.d -o build/Linux-gtk3/utils_idna.o -c utils/idna.c
utils/idna.c:170:10: fatal error: utf8proc.h: No such file or directory
  170 | #include <utf8proc.h>
      |          ^~~~~~~~~~~~
compilation terminated.
Comment 7 Larry the Git Cow gentoo-dev 2020-06-29 17:08:20 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4b54e2b6fa4f0062d088b97e8c2527aaf745cf4

commit f4b54e2b6fa4f0062d088b97e8c2527aaf745cf4
Author:     Michael Orlitzky <mjo@gentoo.org>
AuthorDate: 2020-06-29 17:07:20 +0000
Commit:     Michael Orlitzky <mjo@gentoo.org>
CommitDate: 2020-06-29 17:07:20 +0000

    www-client/netsurf: update dev-libs/libutf8proc lower bound.
    
    I previously fixed the build with newer versions of libutf8proc, and
    in the process, broke it with the old stable version. We now require
    a newer (unstable) version so as to actually build.
    
    Bug: https://bugs.gentoo.org/728994
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Michael Orlitzky <mjo@gentoo.org>

 www-client/netsurf/{netsurf-3.10.ebuild => netsurf-3.10-r1.ebuild} | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 Michael Orlitzky gentoo-dev 2020-06-29 17:09:29 UTC
Fixed once more. Using the stable version of libutf8proc doesn't work, so I've updated the bound. Thanks again for your help.
Comment 9 NATTkA bot gentoo-dev 2020-06-29 17:12:30 UTC
Unable to check for sanity:

> no match for package: www-client/netsurf-3.10
Comment 10 NATTkA bot gentoo-dev 2020-06-29 17:24:51 UTC
All sanity-check issues have been resolved
Comment 11 ernsteiswuerfel 2020-06-29 22:09:29 UTC
Looking good on ppc.

Both failed builds fail due to:
[...]
content/handlers/image/rsvg.c:37:10: fatal error: librsvg/rsvg.h: No such file or directory
   37 | #include <librsvg/rsvg.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.


 # cat netsurf-728994.report 
USE tests started on Mo 29. Jun 23:38:01 CEST 2020

 FEATURES=' test' failed for =www-client/netsurf-3.10-r1
USE='bmp -duktape -fbcon -gif -gtk gtk2 -javascript -jpeg mng png -psl -rosprite -svg -svgtiny -truetype -webp' succeeded for =www-client/netsurf-3.10-r1
USE='-bmp duktape fbcon gif -gtk -gtk2 javascript jpeg mng png psl -rosprite -svg -svgtiny -truetype -webp' succeeded for =www-client/netsurf-3.10-r1
USE='-bmp -duktape fbcon gif -gtk gtk2 javascript -jpeg -mng png -psl rosprite -svg -svgtiny -truetype -webp' succeeded for =www-client/netsurf-3.10-r1
USE='bmp -duktape fbcon gif gtk -gtk2 javascript jpeg mng png -psl rosprite -svg -svgtiny truetype -webp' succeeded for =www-client/netsurf-3.10-r1
USE='bmp duktape fbcon gif -gtk gtk2 javascript -jpeg -mng png psl rosprite -svg -svgtiny truetype -webp' succeeded for =www-client/netsurf-3.10-r1
USE='bmp -duktape fbcon -gif gtk -gtk2 -javascript jpeg mng png -psl rosprite svg -svgtiny truetype -webp' failed for =www-client/netsurf-3.10-r1
USE='bmp duktape fbcon -gif gtk gtk2 javascript jpeg mng -png psl -rosprite -svg svgtiny truetype -webp' succeeded for =www-client/netsurf-3.10-r1
USE='-bmp duktape fbcon gif -gtk -gtk2 javascript jpeg mng -png -psl rosprite -svg -svgtiny -truetype webp' succeeded for =www-client/netsurf-3.10-r1
USE='bmp -duktape fbcon -gif -gtk -gtk2 javascript -jpeg -mng -png psl rosprite svg -svgtiny -truetype webp' failed for =www-client/netsurf-3.10-r1
USE='-bmp duktape -fbcon -gif gtk gtk2 javascript -jpeg -mng png -psl -rosprite svg svgtiny truetype webp' succeeded for =www-client/netsurf-3.10-r1
USE='bmp duktape fbcon gif -gtk -gtk2 javascript jpeg -mng -png psl rosprite svg svgtiny truetype webp' succeeded for =www-client/netsurf-3.10-r1
USE='bmp -duktape fbcon gif -gtk gtk2 -javascript -jpeg -mng png psl rosprite svg svgtiny truetype webp' succeeded for =www-client/netsurf-3.10-r1
Comment 12 ernsteiswuerfel 2020-06-29 22:10:07 UTC
Created attachment 647108 [details]
build.log.xz (ppc + tests)
Comment 13 ernsteiswuerfel 2020-06-29 23:43:59 UTC
Looking good on ppc64.

Surprisingly it even passes tests. ;) Rest is like on ppc.

 # cat netsurf-728994.report 
USE tests started on Di 30. Jun 00:23:42 CEST 2020

FEATURES=' test' USE='gtk' succeeded for =www-client/netsurf-3.10-r1
USE='-bmp -duktape fbcon -gif gtk -gtk2 -javascript -jpeg -mng -png psl rosprite -svg -svgtiny -truetype -webp' succeeded for =www-client/netsurf-3.10-r1
USE='bmp -duktape -fbcon gif gtk -gtk2 -javascript jpeg mng -png psl -rosprite svg -svgtiny -truetype -webp' succeeded for =www-client/netsurf-3.10-r1
USE='bmp -duktape -fbcon -gif -gtk gtk2 -javascript -jpeg -mng -png psl rosprite svg -svgtiny -truetype -webp' succeeded for =www-client/netsurf-3.10-r1
USE='-bmp -duktape fbcon -gif -gtk gtk2 -javascript jpeg -mng -png -psl -rosprite -svg svgtiny -truetype -webp' succeeded for =www-client/netsurf-3.10-r1
USE='-bmp -duktape -fbcon gif -gtk gtk2 javascript jpeg -mng png -psl rosprite -svg svgtiny -truetype -webp' succeeded for =www-client/netsurf-3.10-r1
USE='bmp duktape -fbcon -gif gtk -gtk2 javascript -jpeg mng -png psl rosprite -svg -svgtiny truetype -webp' succeeded for =www-client/netsurf-3.10-r1
USE='-bmp -duktape fbcon gif gtk -gtk2 javascript -jpeg mng png psl -rosprite -svg -svgtiny -truetype webp' succeeded for =www-client/netsurf-3.10-r1
USE='-bmp -duktape -fbcon -gif gtk gtk2 javascript jpeg -mng -png -psl rosprite -svg -svgtiny -truetype webp' failed for =www-client/netsurf-3.10-r1
USE='-bmp duktape fbcon gif gtk gtk2 javascript -jpeg -mng png psl -rosprite svg -svgtiny -truetype webp' failed for =www-client/netsurf-3.10-r1
USE='-bmp duktape fbcon gif -gtk -gtk2 javascript -jpeg mng -png psl rosprite svg -svgtiny -truetype webp' failed for =www-client/netsurf-3.10-r1
USE='-bmp duktape -fbcon -gif gtk gtk2 javascript -jpeg -mng -png psl rosprite -svg -svgtiny truetype webp' succeeded for =www-client/netsurf-3.10-r1
USE='bmp -duktape fbcon gif gtk -gtk2 javascript -jpeg -mng -png psl rosprite -svg svgtiny truetype webp' succeeded for =www-client/netsurf-3.10-r1
Comment 14 Larry the Git Cow gentoo-dev 2020-06-30 13:10:06 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77e589717e3fe5788ef0030d5cc4a2517670cc9a

commit 77e589717e3fe5788ef0030d5cc4a2517670cc9a
Author:     Michael Orlitzky <mjo@gentoo.org>
AuthorDate: 2020-06-30 13:07:37 +0000
Commit:     Michael Orlitzky <mjo@gentoo.org>
CommitDate: 2020-06-30 13:07:56 +0000

    www-client/netsurf: fix build with USE="fbcon svg -svgtiny".
    
    The build system for netsurf only does the pkg-config magic needed to
    find librsvg's headers when it's building the GTK targets (and not
    when it's building the framebuffer target). As a result, building the
    framebuffer target can fail if you have USE="svg -svgtiny" set.  This
    commit disables librsvg while building and installing the framebuffer
    target. Thanks are due to ernsteiswuerfel for the extensive testing
    on bug 728994.
    
    Bug: https://bugs.gentoo.org/728994
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Michael Orlitzky <mjo@gentoo.org>

 www-client/netsurf/netsurf-3.10-r1.ebuild | 28 +++++++++++++++++++++++-----
 1 file changed, 23 insertions(+), 5 deletions(-)
Comment 15 Michael Orlitzky gentoo-dev 2020-07-01 02:28:55 UTC
Phew. All other problems should be fixed, leaving us with only that one failed test that I've reported upstream:

  https://bugs.netsurf-browser.org/mantis/view.php?id=2782

Does that test always fail on PPC(64)? If so, does it always fail the same way? Does MAKEOPTS="-j1" fix it?

I'm wondering if it's an important failure or not, and I haven't been able to reproduce it on my boring amd64/en_US system.
Comment 16 Sergei Trofimovich gentoo-dev 2020-07-05 09:17:40 UTC
~ppc64 keyworded
Comment 17 ernsteiswuerfel 2020-07-05 14:10:38 UTC
Created attachment 647804 [details]
build.log.xz (ppc + tests)
Comment 18 ernsteiswuerfel 2020-07-05 14:12:31 UTC
(In reply to Michael Orlitzky from comment #15)
> Does that test always fail on PPC(64)? If so, does it always fail the same
> way? Does MAKEOPTS="-j1" fix it?
> 
> I'm wondering if it's an important failure or not, and I haven't been able
> to reproduce it on my boring amd64/en_US system.
Yes, that test fails every time, also with MAKEOPTS="-j1". But failure is only on ppc. Have not seen this on ppc64 - tests did always pass so far.
Comment 19 NATTkA bot gentoo-dev 2020-07-15 14:04:45 UTC
Unable to check for sanity:

> no match for package: www-client/netsurf-3.10-r1
Comment 20 NATTkA bot gentoo-dev 2020-07-15 14:16:44 UTC
All sanity-check issues have been resolved